org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Interface IResolutionContext

All Known Implementing Classes:
  DefaultResolutionContext

    public interface IResolutionContext

A resolution context provides the different elements that can be involved in a comparison taking logical models into account. One instance of this interface is supposed to provide elements that are consistent with one another, that is, which can be used together in the same computation.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dispose()` Disposes the context.
`IResourceDependencyProvider` `getDependencyProvider()` The provider of dependencies between resources / URIs
`com.google.common.eventbus.EventBus` `getEventBus()` The `EventBus` to use to broadcast and receive events.
`IGraph<URI>` `getGraph()` The graph of dependencies.
`DependencyGraphUpdater<URI>` `getGraphUpdater()` The graph updater, in charge of making changes to the dependency graph.
`IImplicitDependencies` `getImplicitDependencies()` The implicit dependencies provider.
`IResourceDependencyLocalResolver` `getLocalResolver()` The resolver for local resources.
`ModelResourceListener` `getModelResourceListener()` The listener of model resource changes.
`IResourceDependencyRemoteResolver` `getRemoteResolver()` The resolver for "remote" (git) resources.
`ResourceComputationScheduler<URI>` `getScheduler()` The scheduler used to support multi-threading.
`void` `initialize()` Initializes the context.

### Method Detail

#### getEventBus

    com.google.common.eventbus.EventBus getEventBus()

The `EventBus` to use to broadcast and receive events.

#### getGraph

    IGraph<URI> getGraph()

The graph of dependencies.

#### getGraphUpdater

    DependencyGraphUpdater<URI> getGraphUpdater()

The graph updater, in charge of making changes to the dependency graph.

#### getScheduler

    ResourceComputationScheduler<URI> getScheduler()

The scheduler used to support multi-threading.

#### getDependencyProvider

    IResourceDependencyProvider getDependencyProvider()

The provider of dependencies between resources / URIs

#### getLocalResolver

    IResourceDependencyLocalResolver getLocalResolver()

The resolver for local resources.

#### getRemoteResolver

    IResourceDependencyRemoteResolver getRemoteResolver()

The resolver for "remote" (git) resources.

#### getModelResourceListener

    ModelResourceListener getModelResourceListener()

The listener of model resource changes.

#### getImplicitDependencies

    IImplicitDependencies getImplicitDependencies()

The implicit dependencies provider.

#### initialize

    void initialize()

Initializes the context.

#### dispose

    void dispose()

Disposes the context.